Subject: Starrett Mics

From: [email-masked] (gaas::fisher)
Date: 3 NOV 95 00:16:35

>             -< Sources for micrometers >-
>
>What are the best sources for Starrett or Mitutoyo micrometers, dial
>indicators and other such tools?  Right now, I need a basic ball
>micrometer for measuring the neck thickness of some rifle cartridges.
>Thanks.
>
>Jim
>[email-masked]

Funny you should mention that.  As best I can recall the flyer that
I received last night from MSC had a 1" Starrett Mic with ball ends
on sale at 15% off list.  They have also had the normal 1" Starrett
Mic on sale for the last month at 15% off.  I noticed because I have
also been discouraged to never see Starrett tools discounted.  I live
less than 5 miles from their plant and NEVER see there tools discounted
anyplace.  I can highly recommend both MSC and Starrett.  It is worth
calling both for their catalogues.  

P.S.  We're talking 70 something instead of 80 something for a Starrett Mic.
      Not a big discount - but the only one I've ever seen.

Bye          --+--
Kay R. Fisher  |
---------------O---------------
################################################################################